/**
 * Theme Name: errigal
 * Theme URI: https://projecterrigal.com/themes/errigal/
 * Author: Project errigal
 * Author URI: https://projecterrigal.com/
 * Version: 1.0.4
 */
( function() {
	'use strict';

	const CUSTOMISER_ID_BLOGDESCRIPTION = 'blogdescription';
	const CUSTOMISER_ID_BLOGNAME = 'blogname';
	const CUSTOMISER_ID_CUSTOM_LOGO = 'custom_logo';

	function addCustomLogoEvents() {
		// eslint-disable-next-line no-undef
		wp.customize( CUSTOMISER_ID_CUSTOM_LOGO, ( setting ) => {
			const SETUP_CONTROL = ( control ) => {
				const SET_ACTIVE_STATE = () => {
					control.active.set( ! setting.get() );
				};

				setting.bind( SET_ACTIVE_STATE );
			};

			// eslint-disable-next-line no-undef
			wp.customize.control( CUSTOMISER_ID_BLOGNAME, SETUP_CONTROL );
			// eslint-disable-next-line no-undef
			wp.customize.control( CUSTOMISER_ID_BLOGDESCRIPTION, SETUP_CONTROL );
		} );
	}

	addCustomLogoEvents();
}() );
