<?php
/**
 * Template for displaying site header
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package errigal
 * @since 1.0.0
 *
 * @see Errigal_Custom_Typography::get_font_size_class()
 */

$font_size_class = Errigal_Custom_Typography::get_font_size_class();
?>
<!doctype html>
<html <?php language_attributes(); ?> class="<?php echo esc_attr( $font_size_class ); ?>">

<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<div id="page" class="site">
		<?php
		get_template_part( 'template-parts/component/skip-to-content' );

		get_template_part( 'template-parts/header/site-header' );
		?>
		<div id="content" class="site-content">
			<div class="container">
				<div class="row">
