<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package errigal
 * @since 1.0.0
 */

get_header();

get_template_part( 'template-parts/tag/content-area/opening' );

get_template_part( 'template-parts/header/page-header-index' );

if ( have_posts() ) {
	get_template_part( 'template-parts/content/content-index' );
} else {
	if ( current_user_can( 'publish_posts' ) ) {
		get_template_part( 'template-parts/content/content-no-posts-admin' );
	} else {
		get_template_part( 'template-parts/content/content-no-posts' );
	}
}

get_template_part( 'template-parts/tag/content-area/closing' );

get_template_part( 'template-parts/component/sidebar' );

get_footer();
