<?php
/**
 * Template part for displaying welcome admin notice
 *
 * @package errigal
 * @since 1.0.4
 */

$url_locale                       = 'ja' === get_locale() ? 'jp/' : '';
$url_profile_widget_documentation = trailingslashit( wp_get_theme( get_template() )->get( 'AuthorURI' ) ) . $url_locale . 'themes/features/profile-widget/';
?>

<div class="notice notice-info is-dismissible" id="errigal-welcome-notice">
	<div class="errigal-notice">
		<h2 class="errigal-notice__title"><?php printf( /* translators: %s: Name of current theme. */ esc_html__( 'Welcome to %s', 'errigal' ), esc_html( wp_get_theme()->get( 'Name' ) ) ); ?></h2>
		<div class="errigal-notice__items">
			<div class="errigal-notice__item">
				<p class="errigal-notice__item__title"><?php echo esc_html__( 'Did you know...', 'errigal' ); ?></p>
				<div class="errigal-notice__item__content">
					<?php echo wp_kses( errigal_get_icon_svg( 'admin-notice-profile-widget' ), errigal_get_allowed_html_svg() ); ?>
					<div class="errigal-notice__item__content__container">
						<h3 class="errigal-notice__item__content__title"><?php echo esc_html__( 'Profile widget', 'errigal' ); ?></h3>
						<p class="errigal-notice__item__content__description"><?php echo esc_html__( 'You can build your profile quickly and easily with the custom profile widget in the side bar.', 'errigal' ); ?></p>
						<div class="errigal-notice__item__content__cta-container">
							<?php
							if ( current_user_can( 'customize' ) ) {
								printf(
									wp_kses_post( '<a class="errigal-notice__item__content__cta errigal-admin__button" href="%1$s">%2$s</a>' ),
									esc_url( admin_url( 'customize.php?autofocus%5Bpanel%5D=widgets' ) ),
									esc_html__( 'Build profile widget', 'errigal' )
								);
							}
							?>
							<a class="errigal-notice__item__content__cta errigal-admin__link-external" href="<?php echo esc_url( $url_profile_widget_documentation ); ?>" target="_blank">
								<?php
									echo esc_html__( 'Learn about profile widget', 'errigal' );
									echo wp_kses( errigal_get_icon_svg( 'open-new-window' ), errigal_get_allowed_html_svg() );
								?>
								<span class="screen-reader-text"><?php echo esc_html__( '. Opens in a new window', 'errigal' ); ?></span>
							</a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
