<?php
/**
 * Template part for displaying post categories
 *
 * @package errigal
 * @since 1.0.0
 */

if ( has_category() ) {
	echo wp_kses_post( get_the_category_list() );
} elseif ( 'page' !== get_post_type() ) { // Type of page is excluded as categories cannot be added to pages.
	$uncategorised_category_id   = 1; // term_id for Uncategorized.
	$uncategorised_category_link = get_category_link( $uncategorised_category_id );
	$uncategorised_category_name = get_the_category_by_ID( $uncategorised_category_id );
	?>
	<ul class="post-categories">
		<li>
			<a href="<?php echo esc_url( $uncategorised_category_link ); ?>" rel="category tag"><?php echo esc_html( $uncategorised_category_name ); ?></a>
		</li>
	</ul>
	<?php
}
