<?php
/**
 * Template part for displaying page links for paginated posts
 *
 * @package errigal
 * @since 1.0.0
 *
 * @global int $page     Page number of single post.
 * @global int $numpages Number of pages in post.
 */

global $page, $numpages;

wp_link_pages(
	array(
		'before'           => sprintf(
			'<nav class="page-links" aria-label="%s"><div class="page-links__label">%s</div><div class="page-links__container">',
			esc_attr__( 'Page', 'errigal' ),
			/* translators: 1: Current page number. 2: The total number of pages in the post. */
			sprintf( esc_html__( 'Page %1$u of %2$u', 'errigal' ), $page, $numpages )
		),
		'after'            => '</div></nav>',
		'link_before'      => '<span class="page-numbers">',
		'link_after'       => '</span>',
		'next_or_number'   => 'next_and_number',
		'nextpagelink'     => sprintf(
			'%s<span class="screen-reader-text">%s</span>',
			wp_kses( errigal_get_icon_svg( 'next' ), errigal_get_allowed_html_svg() ),
			esc_html__( 'Next page', 'errigal' )
		),
		'previouspagelink' => sprintf(
			'%s<span class="screen-reader-text">%s</span>',
			wp_kses( errigal_get_icon_svg( 'previous' ), errigal_get_allowed_html_svg() ),
			esc_html__( 'Previous page', 'errigal' )
		),
	)
);
