<?php
/**
 * Template part for displaying navigation to next/previous post, when applicable
 *
 * @package errigal
 * @since 1.0.0
 */

$next_post       = get_next_post();
$prev_post       = get_previous_post();
$next_post_title = '';
$next_post_image = '';
$prev_post_title = '';
$next_post_image = '';

if ( ! empty( $next_post ) ) {
	$next_post_title = apply_filters( 'the_title', $next_post->post_title );
	$next_post_image = errigal_the_post_thumbnail(
		'card-image',
		array(
			'post'         => $next_post,
			'include_link' => false,
			'echo'         => false,
		)
	);
}

if ( ! empty( $prev_post ) ) {
	$prev_post_title = apply_filters( 'the_title', $prev_post->post_title );
	$prev_post_image = errigal_the_post_thumbnail(
		'card-image',
		array(
			'post'         => $prev_post,
			'include_link' => false,
			'echo'         => false,
		)
	);
}

the_post_navigation(
	array(
		'next_text' => empty( $next_post ) ? '' :
			'<div class="nav-post-text next overline">' . esc_html__( 'Next post', 'errigal' ) . '</div>' .
			'<div class="card small next">' .
				'<div class="card-content">' .
					'<div class="card-title">' . wp_kses_post( $next_post_title ) . '</div>' .
				'</div>' .
				wp_kses_post( $next_post_image ) .
			'</div>',
		'prev_text' => empty( $prev_post ) ? '' :
			'<div class="nav-post-text prev overline">' . esc_html__( 'Previous post', 'errigal' ) . '</div>' .
			'<div class="card small prev">' .
				wp_kses_post( $prev_post_image ) .
				'<div class="card-content">' .
					'<div class="card-title">' . wp_kses_post( $prev_post_title ) . '</div>' .
				'</div>' .
			'</div>',
	)
);
