<?php
/**
 * Template part for displaying image in widget
 *
 * @package errigal
 * @since 1.0.3
 *
 * @global bool $is_IE Whether browser is Internet Explorer.
 *
 * @param array $args {
 *     Image options.
 *
 *     @type string $image_class Image class.
 *     @type string $image_url   Image URL.
 *     @type string $image_alt   Image alternate text.
 * }
 */

global $is_IE;

$args = wp_parse_args(
	$args,
	array(
		'image_class' => '',
		'image_url'   => '',
		'image_alt'   => '',
	)
);

$image_class = $args['image_class'];
$image_url   = $args['image_url'];

if ( $is_IE ) {
	printf(
		wp_kses_post( "<div class='%s' style='background-image: url(\"%s\");'></div>" ),
		esc_attr( $image_class ),
		esc_url( $image_url )
	);

	return;
}

printf(
	wp_kses_post( '<img class="%s" src="%s" alt="%s">' ),
	esc_attr( $image_class ),
	esc_url( $image_url ),
	esc_html( $args['image_alt'] )
);
