<?php
/**
 * Template part for displaying image in content of attachment.php
 *
 * @package errigal
 * @since 1.0.0
 */

?>

<figure class="wp-block-image">
	<?php
	/**
	 * Filters default image attachment size.
	 *
	 * @param string $image_size Image size. Default 'full'.
	 */
	$image_size = apply_filters( 'errigal_attachment_size', 'full' );

	echo wp_get_attachment_image( get_the_ID(), $image_size );

	if ( wp_get_attachment_caption() ) :
		?>
		<figcaption class="wp-caption-text">
			<?php echo wp_kses_post( wp_get_attachment_caption() ); ?>
		</figcaption>
	<?php endif; ?>
</figure><!-- .wp-block-image -->
