<?php
/**
 * Template part for displaying image size link in attachment.php
 *
 * @package errigal
 * @since 1.0.0
 */

$metadata = wp_get_attachment_metadata();

if ( $metadata ) {
	$size = sprintf(
		'%s &times; %s',
		absint( $metadata['width'] ),
		absint( $metadata['height'] )
	);

	?>
	<div class="full-size-link">
		<span class="screen-reader-text"><?php esc_html_e( 'Full size', 'errigal' ); ?></span>
		<a href="<?php echo esc_url( wp_get_attachment_url() ); ?>"><?php echo esc_html( $size ); ?></a>
	</div>
	<?php
}
