<?php
/**
 * Template part for displaying branding either in text or logo image in site header
 *
 * @package errigal
 * @since 1.0.0
 */

?>

<div class="branding">
	<?php
	if ( has_custom_logo() ) :
		the_custom_logo();
	else :
		?>
		<div class="brand-title">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a>
		</div><!-- .branding__site-title -->
		<?php
		$errigal_description = get_bloginfo( 'description', 'display' );

		if ( $errigal_description ) {
			?>
			<p class="brand-tagline"><?php echo esc_html( $errigal_description ); ?></p>
			<?php
		}
	endif; // End has_custom_logo().
	?>
</div><!-- .branding -->
