<?php
/**
 * Template part for displaying bottom navigation bar width mobile search on mobile device
 *
 * @package errigal
 * @since 1.0.0
 *
 * @see Errigal_Custom_Site_Header_Colour::get_site_header_colour_class()
 */

$site_header_colour_class = Errigal_Custom_Site_Header_Colour::get_site_header_colour_class();
?>

<div class="mobile-search modal-background">
	<div class="mobile-search__container">
		<button class="mobile-search__close-search-button" aria-label="<?php esc_attr_e( 'Close search', 'errigal' ); ?>">
			<?php errigal_render_icon_svg( 'times' ); ?>
		</button><!-- .mobile-search__close-search-button -->
		<div class="mobile-search__label"><?php esc_html_e( 'Search articles', 'errigal' ); ?></div><!-- .mobile-search__label -->
		<?php get_search_form(); ?>
	</div><!-- .mobile-search__container -->
</div><!-- .mobile-search -->
<nav id="mobile-navigation" class="bottom-navbar <?php echo esc_attr( $site_header_colour_class ); ?>">
	<div class="container">
		<div class="row">
			<div class="mobile-navigation__container">
				<a class="mobile-navigation__home-button mobile-navigation__button" href="<?php echo esc_url( home_url( '/' ) ); ?>">
					<?php errigal_render_icon_svg( 'home', 'sm' ); ?>
					<div class="mobile-navigation__button-text"><?php esc_html_e( 'Home', 'errigal' ); ?></div>
				</a>
				<button class="mobile-navigation__search-button mobile-navigation__button">
					<?php errigal_render_icon_svg( 'search', 'sm' ); ?>
					<div class="mobile-navigation__button-text"><?php esc_html_e( 'Search', 'errigal' ); ?></div>
				</button>
				<?php if ( errigal_has_nav_menu( errigal_get_main_menu_location() ) ) { ?>
					<button class="mobile-navigation__menu-button mobile-navigation__button">
						<?php errigal_render_icon_svg( 'menu', 'sm' ); ?>
						<div class="mobile-navigation__button-text"><?php esc_html_e( 'Menu', 'errigal' ); ?></div>
					</button>
				<?php } ?>
			</div><!-- .mobile-navigation__container -->
		</div><!-- .row -->
	</div><!-- .container -->
</nav><!-- #mobile-navigation -->
